GNU bug report logs - #33006
27.0.50; `dired-do-find-regexp' doesn't work for remote directories

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp <p.stephani2@HIDDEN>; Keywords: patch fixed; dated Wed, 10 Oct 2018 18:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) fixed. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 29 Oct 2018 13:13:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 09:13:07 2018
Received: from localhost ([127.0.0.1]:50003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gH7Lv-0003E4-8T
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 09:13:07 -0400
Received: from mout.gmx.net ([212.227.17.22]:40625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gH7Lt-0003DZ-0V
 for 33006 <at> debbugs.gnu.org; Mon, 29 Oct 2018 09:13:05 -0400
Received: from detlef.gmx.de ([79.140.117.1]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MhNk6-1fueVs1auw-00MfL4; Mon, 29
 Oct 2018 14:12:58 +0100
Received: from detlef.gmx.de ([79.140.117.1]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MhNk6-1fueVs1auw-00MfL4; Mon, 29
 Oct 2018 14:12:58 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33006: 27.0.50;
 `dired-do-find-regexp' doesn't work for remote directories
References: <wvr4bm81y6g3.fsf@HIDDEN> <87woqnba3j.fsf@HIDDEN>
 <87va5v343x.fsf@HIDDEN>
 <656af5f6-4968-ff46-8d6a-a6814070d5f0@HIDDEN>
 <87ftws91p0.fsf@HIDDEN>
 <3a0a84bf-0d3e-b609-eebf-ce4246393b10@HIDDEN>
Date: Mon, 29 Oct 2018 14:12:56 +0100
In-Reply-To: <3a0a84bf-0d3e-b609-eebf-ce4246393b10@HIDDEN> (Dmitry Gutov's
 message of "Sun, 28 Oct 2018 15:14:21 +0200")
Message-ID: <87tvl46gmf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:+ryvO1h4uSehqQHAl55pZiRSz/v+e8i16fD1HKZFS6YXCY+AvGh
 /ubnZnBJM6SvyoH8fAkpvDpRgu9Orr8k1ccSbOz0MynpwOjmgeb7XsPGe6YpB6bDIHlq17H
 hd1DjfmwUeNVDZ/GIg1FKZ5uwDuFbSpzZVyrGfIEqZ82A0JH9SrnJf58HYY9CaotYH3vfg9
 +g/J0d7bUSkWze4Aza0ag==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Rct4uZPfHso=:rqmIcu8gHBznyjN8ruphc4
 su5XRGUWunbiOkx7naSgw2Aet4eBdJLmz/KDYEgDdfLIc9s2MEN5jfviXTrqWUobq7WnbTWQk
 lemlbKX2SnPrzKMOjrh5t1yi6pMDy3PVMHyuIeI4lVUqb0Qd760RV3DS2yqu/em/J0YkAU4mE
 qQ6humn74sX78AAjBgkT5UgBXLcxWQS3ycNxWHLN16UAiN8Wp4xhF5khrKEkW30D4G+YqtkQb
 xcf4VGeTxA2k6vfTsnXnoT8jNsJlpOnd2oNo+eIYAgzVL/umjmhU9ZqBVPMZNOurWLyk8MS6I
 ApMCPL5xMfqMSxLwVMyYgR8pdVMe2kmj+5BJ5yffNQv/kCT6o3VRQro029OpDicaRiRsSe9h9
 fAq7EhsMlb1CdyWLPA56ZDWbFzq1tUlgdp3FYGVKkOUCRNWSdgsBPJZ3wcufa4oHz20zXvL4U
 WoQkAtY32Q15Q9BWG76h9f9+uC9zHEZlDt7W/03AleemjSQUV8N+8av8//OAR5zi4gaNwKmOE
 +qvsUSNfJhfRhZAWWWVt8ozb2mWyyGm5yBXjKNtyKlJVvyftbhJIGPlmsBRI4DxI6VaukWle0
 9hSSlfoKcxc4IWFAnVEpJyJz4Z+ObSEjGpuAwPr+6GC8ainHVf/1Drd0kdWmch8wDIObyLD8D
 Gx1iUiJri6SSSI4Opi6+l2BXuRqhGW88Sgc8t89S3V0WKHPkrU2cNelKoTP269ETw5XdcYhog
 kLKs5dch2tufodJPr681cb40cspYsUz9dNJsijkksohA5du+vnQuakQpd9E6lDhUGDhicjjIo
 Nqntkf+F1K+SW67XJ5CQfnS0okomDB4kI9Jxh+M4oA8pZUHQl4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33006
Cc: Philipp <p.stephani2@HIDDEN>, 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Hi Michael,

Hi Dmitry, Philipp,

>> Is it OK now to commit?
>
> Please go ahead, thank you!

I've committed a slightly modified version of the patch. Philipp, could
you pls confirm that it works for you?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 28 Oct 2018 13:14:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 09:14:32 2018
Received: from localhost ([127.0.0.1]:46815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGktk-000891-J8
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 09:14:32 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:38830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gGkti-00088n-RF
 for 33006 <at> debbugs.gnu.org; Sun, 28 Oct 2018 09:14:31 -0400
Received: by mail-wm1-f43.google.com with SMTP id b14-v6so5430096wmj.3
 for <33006 <at> debbugs.gnu.org>; Sun, 28 Oct 2018 06:14:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=dzL295eA17mQLduIWnbpmSQuVCnVyy4fq12CL3TI6+8=;
 b=Xp6ILkcYcy2/pjgV3/L6VaLgT5k3quqO2NVfRIW/2/uzXBkDXdkN9cj69ci3YJb+dC
 RzEWH4eJRl65SHpFt2C2eRESqKizFZLSiS1eEXdhfX7kKY82Dzh5p4gDS9VSltrE5qw9
 xACWAWBhyxT2LmlS8zLamDpUyoxHfxXxqMcVA7U7WFI/jqX78HGqIJknRzFI+orntfIO
 mFhDlFpHM51IlqxCFPc/wW9ogV2osgvlVQGLZRkl/qAC11rcNKh4jzDJm/48FQneD0O3
 avkKC8FhpHYdmb0CEf4TQlNyPcnxhdSffMIYk/MpTX+gpsILd1r5NaVRhMCsxQug8AzE
 XYkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dzL295eA17mQLduIWnbpmSQuVCnVyy4fq12CL3TI6+8=;
 b=XtLlIXSCF0FIPqvpf1zUkkZRUaHKquCTA4bU9zEr+faH1qOVI06yhb3dZmSSoSMn33
 C5paJugnBo3mKvhyOBZFS/cIhVEaVZuXqFAlyzH2Zj/RtwxrFbsSZuYR5vh1SHZvpsL1
 iUM6/IvzJ69jX+PzPKIR23vONbG2TWzX94+xraZu+3pbxYIN/rROn0KtkLZRBpusZMV8
 Pb/UbcJ63Fv7UtoQcqR7USd96grEpSmtx9DdZYWVZG2N5P9ojiazocJIk0aDGKam891x
 N+M/SMMpgmmrnnlLkVmJnTYRLIT3Fe/O1Xf+6iUD/f83O66se07xCt+qOdqKw9DrcVib
 LltA==
X-Gm-Message-State: AGRZ1gK01wve8PjyKERQuWfder4wyOXZTAne3cHQU7dDXIUUTq42PVaP
 BF/GvWinSRqgeDr22uDJGIh6WjZc
X-Google-Smtp-Source: AJdET5dSOd9FHOdQdSJN7IWPSRUX63EQBd6aiQHrZFO+pELNEnkU4X+AG+gzu5s5K1Ojhklj42qmoA==
X-Received: by 2002:a1c:ee0c:: with SMTP id
 m12-v6mr11641472wmh.112.1540732464839; 
 Sun, 28 Oct 2018 06:14:24 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id
 q190-v6sm15781275wmg.40.2018.10.28.06.14.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 28 Oct 2018 06:14:23 -0700 (PDT)
Subject: Re: bug#33006: 27.0.50; `dired-do-find-regexp' doesn't work for
 remote directories
To: Michael Albinus <michael.albinus@HIDDEN>
References: <wvr4bm81y6g3.fsf@HIDDEN> <87woqnba3j.fsf@HIDDEN>
 <87va5v343x.fsf@HIDDEN> <656af5f6-4968-ff46-8d6a-a6814070d5f0@HIDDEN>
 <87ftws91p0.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3a0a84bf-0d3e-b609-eebf-ce4246393b10@HIDDEN>
Date: Sun, 28 Oct 2018 15:14:21 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.0
MIME-Version: 1.0
In-Reply-To: <87ftws91p0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 33006
Cc: Philipp <p.stephani2@HIDDEN>, 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Michael,

On 26.10.2018 18:18, Michael Albinus wrote:

>> Could you check that M-x xref-find-references didn't work on remote
>> directories before your patch anyway? If it did, though, please make
>> sure that it continues to do so.
>>
>> Bonus points for fixing it, at least when Grep is used (the relevant
>> file is lisp/cedet/semantic/symref/grep.el).
> 
> It doesn't work, indeed. symref/grep.el isn't aware of remote processes
> (it uses call-process, for example). I've fixed this with the appended
> additional patch.
> 
> Is it OK now to commit?

Please go ahead, thank you!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 26 Oct 2018 15:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 26 11:18:14 2018
Received: from localhost ([127.0.0.1]:44240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gG3sL-00051x-Pq
	for submit <at> debbugs.gnu.org; Fri, 26 Oct 2018 11:18:14 -0400
Received: from mout.gmx.net ([212.227.15.19]:36133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gG3sJ-00051j-FJ
 for 33006 <at> debbugs.gnu.org; Fri, 26 Oct 2018 11:18:12 -0400
Received: from detlef.gmx.de ([212.86.63.188]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LrNE4-1fbY802EaC-01388B; Fri, 26
 Oct 2018 17:18:04 +0200
Received: from detlef.gmx.de ([212.86.63.188]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LrNE4-1fbY802EaC-01388B; Fri, 26
 Oct 2018 17:18:04 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33006: 27.0.50;
 `dired-do-find-regexp' doesn't work for remote directories
References: <wvr4bm81y6g3.fsf@HIDDEN> <87woqnba3j.fsf@HIDDEN>
 <87va5v343x.fsf@HIDDEN>
 <656af5f6-4968-ff46-8d6a-a6814070d5f0@HIDDEN>
Date: Fri, 26 Oct 2018 17:18:03 +0200
In-Reply-To: <656af5f6-4968-ff46-8d6a-a6814070d5f0@HIDDEN> (Dmitry Gutov's
 message of "Mon, 22 Oct 2018 02:34:28 +0300")
Message-ID: <87ftws91p0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:uvMeRYU/1C6zTyPDP8VgPiH8uk4m4Q+CJNtHRHFKAavAtWariiU
 4c4Ko58EK2D+4llwmVKlXRnujlOIq0b1QvFzR1ZkVaAD5HmZT2LbZzmGpjflz5EVBX1m9oA
 zw2X2VjWfzcoDeHIVusBDz2wheRYxLoVmB4Cj0Gxy7n8O+zQsJrMnAY/2GsgygmIesLIEmn
 Hoa6MQrsDaXMGpc8NOv5A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:GakcvEQq3VA=:np/QqlyMk4ablEVGK0ODns
 TkCQmg/GPMyDDZOIsdHoInX5BiERlTVgytvjp7popTIrlkxhID/tR9PmmllmCX9K6id290aGI
 r1wKO7wQsRpJygAEF8FI3Tj01AxlZGnWLqOOK7e6c0pVt2jxK4qgLVTQ5fvqb/gsEoAALKQ+6
 R34Ksm/NH+m2bd7/v/AZmV5GA96KeF5xzYbkkgxsVCGHu+Km4tWPV7Lp/DqQxSXNVvFY41eHg
 xaZmLUmKGzY0AQVfEm6NliJ7h1o+3nHQbQ0D0HsYsj/8WmY24IT/hVarxqxRZKoUH+DflSZRt
 WBBIiy04HnnLZf6cY0pVe6PUWV0Yy4V0DR8BP/5rnPBEClVLAGU8QP3ovI4ivWk4MBlX9Lbgv
 0chdQo3CN61JK/87V1wHFdxIJ8e9ro4hSFYBdB/P2YdUsKirTp6PQzir3uxomU80l0HeBc5+X
 y8FmVjdW2U4iIt6Yn7AKKX6fPt9N5a88JJKk0CExV6quIadFXlQt0KqTJsKnNUjn11uEYWQ94
 gEfr5yZRPoYbDKFOfAeH7+jyOObmJrRRJFX9whnBSJQ8efvAoKV/ILjb0K8bM7A6BNMMvaEj6
 YGlatRbQfs8oMwy6n8I64Qnp5bLPe79m49wi4AWwL6rGYI9yWuGpS5m80IFw7Tfrg0JcE2Ej0
 NAy+gkp0v1rbSSwqRpR8/KA8vL1ZFNMCrEYCvLkJ1QZBjOWRhr0Rw9pNmdkSbemRLeNEwtRi2
 CxYC6AhAdkp56f4O9klfFPR03B+r9vLwP22/JoFLjT9t//3I4O76rJAovZXnju8Ld0w7U0sZB
 BIRtDBClb1onMqfUQucO6w0t6AKIg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33006
Cc: Philipp <p.stephani2@HIDDEN>, 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Dmitry Gutov <dgutov@HIDDEN> writes:

> Hi Michael,

Hi Dmitry,

> The patch doesn't look dangerous to me, so you can go ahead and
> install, thank you.

Thanks for reviewing.

> There is, however, a possible inconsistency: it touches
> xref--collect-matches-1, which is used both in xref-collect-matches
> and xref-collect-references. And you only changed the former function.
>
> Could you check that M-x xref-find-references didn't work on remote
> directories before your patch anyway? If it did, though, please make
> sure that it continues to do so.
>
> Bonus points for fixing it, at least when Grep is used (the relevant
> file is lisp/cedet/semantic/symref/grep.el).

It doesn't work, indeed. symref/grep.el isn't aware of remote processes
(it uses call-process, for example). I've fixed this with the appended
additional patch.

Is it OK now to commit?

Best regards, Michael.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment

diff --git a/lisp/cedet/semantic/symref/grep.el b/lisp/cedet/semantic/symref/grep.el
index 93bda6ab29..661e101520 100644
--- a/lisp/cedet/semantic/symref/grep.el
+++ b/lisp/cedet/semantic/symref/grep.el
@@ -173,14 +173,16 @@ semantic-symref-grep-shell
 	  ;; find . -type f -print0 | xargs -0 -e grep -nH -e
 	  ;; Note : I removed -e as it is not posix, nor necessary it seems.
 
-	  (let ((cmd (concat "find " default-directory " -type f " filepattern " -print0 "
+	  (let ((cmd (concat "find " (file-local-name rootdir)
+                             " -type f " filepattern " -print0 "
 			     "| xargs -0 grep -H " grepflags "-e " greppat)))
 	    ;;(message "Old command: %s" cmd)
-	    (call-process semantic-symref-grep-shell nil b nil
+	    (process-file semantic-symref-grep-shell nil b nil
                           shell-command-switch cmd)
 	    )
-	(let ((cmd (semantic-symref-grep-use-template rootdir filepattern grepflags greppat)))
-	  (call-process semantic-symref-grep-shell nil b nil
+	(let ((cmd (semantic-symref-grep-use-template
+                    (file-local-name rootdir) filepattern grepflags greppat)))
+	  (process-file semantic-symref-grep-shell nil b nil
                         shell-command-switch cmd))
 	))
     (setq ans (semantic-symref-parse-tool-output tool b))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 21 Oct 2018 23:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 21 19:34:39 2018
Received: from localhost ([127.0.0.1]:34878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gENF0-000827-Q2
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:34:38 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:33254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gENEz-00081u-7x
 for 33006 <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:34:37 -0400
Received: by mail-wr1-f43.google.com with SMTP id u1-v6so7099020wrn.0
 for <33006 <at> debbugs.gnu.org>; Sun, 21 Oct 2018 16:34:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=GTP1jnjtcQIc+f9k0MuwIn895YQ0qVlmehVVquIIcpg=;
 b=JZjlOVIZT4CiNInAZxhxpwvK1dktoWfOElloE4B0STiVhLjJidyOhHriuu73WFh3iv
 A1ZB+WIkP6fc+Mw1p1BlS3hhVizAyXhPh4DUx9ECpmhUQ0Zv7NYW+r473a3HegBe14HB
 dxvWwE8nzIf3qo0mByz9OOmSBNjcYTVQOjowrMGK8w3K/wTCMLD2YeGouX/YAT8HSjzS
 I6zWbLlEiuJjUsqM469fvaldmHmnd/lRSnzlvVSkmnnUf563ujMXRXQ8/rryCIZ1g3/M
 zcqIn0qdGpEss+oC+uVPCn/lWF3HQXZCsZUBiPvnxbn6SUKGKqSo2uarRfNmsa4mKqr1
 W8kg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=GTP1jnjtcQIc+f9k0MuwIn895YQ0qVlmehVVquIIcpg=;
 b=WsQL+XFJv4hNHtWokW5jrYyooJTcPRSY7UV6hZoHcabDCzT8ahz17CIABrHCJUfTE1
 lumZlwnpb2xdd9+MeN83ESLK9xHcCL+uuHDw9C1i5+63wnWVXitTi+AFr1uVUNCnLFEv
 OKbXRlGuV6JaeqrlxX9cgYs6brDeWKbGAsvoXZ8x55UxxOcFL6DuhqGYqqdMQVqV9nB6
 Zmrlbb1Zwn/mZtSgJc5jHHz3aGsxlTn8/NT7/XQsbRpaLJP55glmbMCwd2XK01pjmWC2
 EtlbUkyuKDl7MXAaKhSlWDo9PAutkselEga0LVlv7rQRicIp+q19zb81TjQhOdZlT6cL
 1Tgg==
X-Gm-Message-State: AGRZ1gJg0idc+uFEFt735iHARG8y9T6cEFHAtgg7maaSzoPCGiGwc6je
 qIoLF9+0HNTJwRyQ9a3xW8LfSF8V
X-Google-Smtp-Source: AJdET5dS6WVYF0fpk/Ex1GNdSk5ma2j7HCSe1Vm6M+JHZkGMJawfunupzr85AztOvNRIo8FPl8ILNQ==
X-Received: by 2002:a5d:6b4f:: with SMTP id
 x15-v6mr14460254wrw.304.1540164871066; 
 Sun, 21 Oct 2018 16:34:31 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id
 k23-v6sm30625912wrd.85.2018.10.21.16.34.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 21 Oct 2018 16:34:30 -0700 (PDT)
Subject: Re: bug#33006: 27.0.50; `dired-do-find-regexp' doesn't work for
 remote directories
To: Michael Albinus <michael.albinus@HIDDEN>
References: <wvr4bm81y6g3.fsf@HIDDEN> <87woqnba3j.fsf@HIDDEN>
 <87va5v343x.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <656af5f6-4968-ff46-8d6a-a6814070d5f0@HIDDEN>
Date: Mon, 22 Oct 2018 02:34:28 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.0
MIME-Version: 1.0
In-Reply-To: <87va5v343x.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 33006
Cc: Philipp <p.stephani2@HIDDEN>, 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Michael,

Sorry for the late reply.

On 21.10.2018 14:56, Michael Albinus wrote:

>> The appended patch fixes this for me. But since I don't know xref.el in
>> detail, I fear I introduce collateral damages. At least a second opinion
>> about the patch would be welcome, before I commit it to master.
> 
> Ping. Dmitry, could you pls comment?

The patch doesn't look dangerous to me, so you can go ahead and install, 
thank you.

There is, however, a possible inconsistency: it touches 
xref--collect-matches-1, which is used both in xref-collect-matches and 
xref-collect-references. And you only changed the former function.

Could you check that M-x xref-find-references didn't work on remote 
directories before your patch anyway? If it did, though, please make 
sure that it continues to do so.

Bonus points for fixing it, at least when Grep is used (the relevant 
file is lisp/cedet/semantic/symref/grep.el).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 21 Oct 2018 11:56:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 21 07:56:44 2018
Received: from localhost ([127.0.0.1]:33792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gECLb-0001wv-QN
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 07:56:43 -0400
Received: from mout.gmx.net ([212.227.15.15]:54759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gECLa-0001wi-1X
 for 33006 <at> debbugs.gnu.org; Sun, 21 Oct 2018 07:56:42 -0400
Received: from detlef.gmx.de ([212.86.47.171]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MEWkb-1gPRfu04bp-00FfvB; Sun, 21
 Oct 2018 13:56:35 +0200
Received: from detlef.gmx.de ([212.86.47.171]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MEWkb-1gPRfu04bp-00FfvB; Sun, 21
 Oct 2018 13:56:35 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33006: 27.0.50;
 `dired-do-find-regexp' doesn't work for remote directories
References: <wvr4bm81y6g3.fsf@HIDDEN> <87woqnba3j.fsf@HIDDEN>
Date: Sun, 21 Oct 2018 13:56:34 +0200
In-Reply-To: <87woqnba3j.fsf@HIDDEN> (Michael Albinus's message of "Fri, 12
 Oct 2018 14:52:48 +0200")
Message-ID: <87va5v343x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Cc17BGlnmuXfBlDxRIRO2FIf2SX+BcfNmzsvyqMLwlGGU368Mf0
 ZfmRNqhuQbQkuaT03vPhDVwigIdB+zU6VhiTxVbGiUdoa4Pok4GRr1XT6nb29n/mxR8dtt7
 P/Szyy4Ib7plscC8Ptz4EgaXWRpq1+7CVWTdvZorDGL1QXVeG7o6sXu0wALLp3dNfvx0KV4
 /a1ynsuhtFx+9Q4dv+LkQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:WZwYm6N9DHQ=:IQa8LBjl3QuIoj6SzDF4G7
 FSH5lt9gNyf37VshMuKSp3FVCh6yfQfYhI96xEXLw0a0ZsylKVUbAjWT/mDpw5OlFEH1gFvoc
 9lvj4gNPjWBqLKLnsSBoEawGNO14g0QHiZbNrGpxXf9wuO8QIMvfrnLA/9EyWKyKhKeHvb0cX
 5DTCW+Hr8IbhaJ7Mjl1d0Y1WbpBZdpfNSxKSV0bQuCruH/aoS5KkglrbaCqpTPFJBC96MH63l
 cFfrrKrAAKG/P3HTCq+XYrx7kLODxqPZ9v2ETW6jgwSmuHEN8bf7r/texTdgmOqbTqUt/rnKK
 y3dn4D6iM3BUdH8wLHAVshbTR+WaVEx3205Uj3FLPkxqD6hWbF8+9aH+28JlyqHSTjqQsygCH
 VF/d8HZVzmxblMW6fryIYJUMdOHeYt5MSCk6LUOzg7iRWJ+Z0JpIUkybzmAumhDT1ZbDR3T8x
 T0HWVkpQwztJbmwfFqBtx2CVgqIU5yzKpdT1qF6aU4CjbLeZ76IR1NYykcTLYO5n+tju0fO8p
 acZglv1zKYqTOD1tuDho09FbvWdTdFLqcvd//kn3jm9HtFJkCO5trypeanqRD8b73YeZ0PEod
 oTRjBklA3Lu/1obJMWAmH+NKWohXQeaMSl4IUtdXo5AavtvwkJaEKSWm8CfnMONt/a55Ydjo1
 Ij3WnKfxrIq0hKYsBW1gIIt9jVT6ceh6rmfhpQgbY+05qZQAlTL3SCeuINhpXwJnc/egNYTTb
 vxmXWKHQ91IzUxp2Ay1E4y7IthXcaVOV1hQOGKT7Ts9OIsF7dk1di985hu3QoGo0XA4QIOTvG
 RSOasBTo/soUnTlUMa4xwluHm6S+5Cn11MNKzSqwYDhQwA3DF8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33006
Cc: Philipp <p.stephani2@HIDDEN>, 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

> The appended patch fixes this for me. But since I don't know xref.el in
> detail, I fear I introduce collateral damages. At least a second opinion
> about the patch would be welcome, before I commit it to master.

Ping. Dmitry, could you pls comment?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.
Added tag(s) patch. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33006 <at> debbugs.gnu.org:


Received: (at 33006) by debbugs.gnu.org; 12 Oct 2018 12:52:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 12 08:52:59 2018
Received: from localhost ([127.0.0.1]:46010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAww6-0008DM-S8
	for submit <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:52:59 -0400
Received: from mout.gmx.net ([212.227.15.19]:43407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gAww4-0008D6-Bn
 for 33006 <at> debbugs.gnu.org; Fri, 12 Oct 2018 08:52:56 -0400
Received: from detlef.gmx.de ([212.91.243.207]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MVvB2-1g8pLt2YbA-00X4Jy; Fri, 12
 Oct 2018 14:52:49 +0200
Received: from detlef.gmx.de ([212.91.243.207]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MVvB2-1g8pLt2YbA-00X4Jy; Fri, 12
 Oct 2018 14:52:49 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#33006: 27.0.50;
 `dired-do-find-regexp' doesn't work for remote directories
References: <wvr4bm81y6g3.fsf@HIDDEN>
Date: Fri, 12 Oct 2018 14:52:48 +0200
In-Reply-To: <wvr4bm81y6g3.fsf@HIDDEN> (Philipp's message of "Wed, 10 Oct
 2018 20:58:36 +0200")
Message-ID: <87woqnba3j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:DnXkdiI7K8JvLk+qnooFXfsLTZ+qUq0SUmfSMoHQ5kC9xB9/OfJ
 vVwLkusvtMM/pG4YWfv+Zn3XhtQHuq70xJQ48bUJHB7Mcswr3lK5GjZ6euit51eOuFGxuz+
 jshzwHCrYUsEx/pMUCSErq5iz4AMtNk0QpZCr8V26a1e/Ne3NFDG0ibomuzVzYaOX1v3udd
 9tgEaecOeuT/li8Dtip4Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:A8FVy/DYvko=:713Q8e7Hcvn5QBAip+8nEJ
 vnJYbSnZq4flaf/N+l6qntRC+4As2ZavJ3tG5ujCuQCQIR4lr98vTmXreyDzN4UhezQC/ukPa
 E348TxzQ8i7qVLUu7RMs4lJzqCgt28w4xut9O+awhk0HnSeBy2RKaWpH7cjKTWNhoFWqOJYRa
 Whx2L+Wi29nn+cdqd1ghJm5qWK8ERNh17m3tGZRpQ5znXXI1gS1nroVlsQB8Uoge5XpXAf4a1
 lCcAhTUCVpli7ueXl/aPy3Fd0ZRPsL2zSiRPQ3tK9Req4NkrXWmnGLUnVXi33Hm1tVEDN4uZS
 LP5LT69pe4NSY2iEhpL/I2iBZW6SzIIlooTBxghheGICdI9x3bWOMzFxOcXAIFgGSxOEK9KNj
 OxPT0gPVjc0/fnYnto3Nt39vC64Fa0duMmNliRtNjfIVTwG7rRHfFBcU0Fw6suF1W459Lz2mL
 ac0HNQPeSmZj7ryR4R7YuYuYrbXkPEjfcP7z5+X12AwmKOZMrh3LY2RZrNZw10jBXOBxWw3/x
 Hse3MWqP5yO2yHZZIhvSkaDhsIl9mKguBQiXnCEzQh13+sXj9MuQlDfqcD6vJSL1ivvz68Wbs
 qtH8cnTMzg0HHndMbRuZRr2S7zvCUwBwNGJP4tKxsP4yk8haJSLYycK9NMLMUaFnSN2RiB0fm
 loTXhfv5bhI2lOAOKrpLzs9vGUEFSF3jkZtHqPylNzoNcu4Vd4DyPdgZTVA+ILWiQyVAT9o27
 Mc+Myd7qSRW0t8GTV8XgSeIrMKt2ZVWp3WOqUPyQcgw18/QkKxA5HsmI+MYb05rS5Ua0Lpd2E
 f4GM66Wgc+TQbL3Z0al7iTuA4OOKQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33006
Cc: 33006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Philipp <p.stephani2@HIDDEN> writes:

Hi Philipp,

> 1. emacs -Q
> 2. C-x d /ssh:some-remote-host:/some/dir RET
> 3. Mark any file with `m'
> 4. A . RET
>
> Expected: File is searched for regex `.'
> Actual: user-error: Search failed with status 1: find: =E2=80=98/ssh:some=
-remote-host:/some/dir/file=E2=80=99: No such file or directory

Yep, same behaviour here.

> This is probably because `xref-collect-matches' calls
> `call-process-shell-command', which doesn't work remotely.  It should
> call `process-file-shell-command' instead.

Yes, this must be changed. But the file name needs some massage, too.

The appended patch fixes this for me. But since I don't know xref.el in
detail, I fear I introduce collateral damages. At least a second opinion
about the patch would be welcome, before I commit it to master.

Best regards, Michael.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index c7ae40eb34..d3e3fe8da5 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -992,7 +992,7 @@ xref-collect-matches
        ;; do that reliably enough, without creating false negatives?
        (command (xref--rgrep-command (xref--regexp-to-extended regexp)
                                      files
-                                     (expand-file-name dir)
+                                     (file-local-name (expand-file-name dir))
                                      ignores))
        (def default-directory)
        (buf (get-buffer-create " *xref-grep*"))
@@ -1003,7 +1003,7 @@ xref-collect-matches
       (erase-buffer)
       (setq default-directory def)
       (setq status
-            (call-process-shell-command command nil t))
+            (process-file-shell-command command nil t))
       (goto-char (point-min))
       ;; Can't use the exit status: Grep exits with 1 to mean "no
       ;; matches found".  Find exits with 1 if any of the invocations
@@ -1151,7 +1151,8 @@ xref--collect-matches-1
             (or (null matches)
                 (> (point) line-beg))
             (re-search-forward regexp line-end t))
-      (let* ((beg-column (- (match-beginning 0) line-beg))
+      (let* ((file (and file (concat (file-remote-p default-directory) file)))
+             (beg-column (- (match-beginning 0) line-beg))
              (end-column (- (match-end 0) line-beg))
              (loc (xref-make-file-location file line beg-column))
              (summary (buffer-substring line-beg line-end)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2018 18:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 14:58:53 2018
Received: from localhost ([127.0.0.1]:43834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gAJh6-0006xC-M5
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 14:58:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1gAJh5-0006wy-Jk
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 14:58:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1gAJgz-0007h7-8k
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 14:58:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33666)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1gAJgz-0007gq-4v
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 14:58:45 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41965)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1gAJgy-0006Z3-5Z
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 14:58:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1gAJgx-0007g7-4y
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 14:58:44 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:36779)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1gAJgw-0007ds-Qp
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 14:58:43 -0400
Received: by mail-wr1-x436.google.com with SMTP id y16so6924850wrw.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2018 11:58:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DdLfJAoegMVvKsP1nePcKeMxQzy6QZvGQUU6vTJU9eI=;
 b=ePJdpPZdtm9SEyCI8Bl++xe0C5P1lw1QgIGk0FTI73/4jPe/v/+LF82AQF0QtyqPNX
 CM0VqIVEhoLJM46zfsL26Csyis/PdSYAvaez1WsijPvrXW4uYg+ooOviQuLuZ85p0Pat
 2Gu5g1CCEJBpd2T57oidyvx8Fn6+yNIqn0gJ6Sfab+FHReGACDm1CMquhRNwQbn86iKc
 C4KSW9bc4B0VEyujpRuu5xRRr8o5aVoAKKmq0pfgs3DdqU2Mv9j1rMInfAIv4iiTQvtH
 q1WgItpn8hEa1wAijzA+jr/wmbc/XF0E1jjSVcrZ/iu11JdzuceIqhVR3Q9W3IPQ3U8Q
 xPMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DdLfJAoegMVvKsP1nePcKeMxQzy6QZvGQUU6vTJU9eI=;
 b=MT9f3UXLG6MlntJLhvDMcULednb2NnavDlW8e1jpgVVGPACfAqWTshtuJrR8mePdtM
 g/FBZD5F9kFWeC2qj2w25XHkpfqiS17hmAgGwtyaAdu7DcDjpTuRXJ1IYN/NxZHREubq
 kJVqJdyn9+VYxGgDKaS8WyjvSYBVCjF5TIW1B5vvvFpmSBVyobYRML9m1eV6ZhH+1Ou4
 DkfWlOWEQyW0kQTIU3EqUAc2Or32O+A5BpsSZLr0UhYWz5JvbgfcdUQiylJQRl21K3HV
 B4XOKq8yNrGiMgsOTqbBTf+ev9hZMhcIo8eoaFlMgZBrso8wClCCNR4uddTTMSVdp8xh
 mN4Q==
X-Gm-Message-State: ABuFfohTLuRHR1RMAsNkM17fYmAgv1gn70eXaw+ZMYKLxjKMbi3D6Nfj
 Rm/J49xQUzkMBWrsKG1DyINsLqoC
X-Google-Smtp-Source: ACcGV63ZOBkAYjOuaHkW7piwt0YPxp4IpGzwz3sbc9Iq55BZmJYFaXdKcALWp6Tn3htcce0S6SsfEQ==
X-Received: by 2002:adf:9592:: with SMTP id
 p18-v6mr26124008wrp.202.1539197920139; 
 Wed, 10 Oct 2018 11:58:40 -0700 (PDT)
Received: from phst-glaptop ([2001:4c50:25e:7c00:2a16:adff:fe49:52c8])
 by smtp.gmail.com with ESMTPSA id s14-v6sm9223927wrg.97.2018.10.10.11.58.39
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 10 Oct 2018 11:58:39 -0700 (PDT)
From: Philipp <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; `dired-do-find-regexp' doesn't work for remote directories
Date: Wed, 10 Oct 2018 20:58:36 +0200
Message-ID: <wvr4bm81y6g3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)


1. emacs -Q
2. C-x d /ssh:some-remote-host:/some/dir RET
3. Mark any file with `m'
4. A . RET

Expected: File is searched for regex `.'
Actual: user-error: Search failed with status 1: find: =E2=80=98/ssh:some-r=
emote-host:/some/dir/file=E2=80=99: No such file or directory

This is probably because `xref-collect-matches' calls
`call-process-shell-command', which doesn't work remotely.  It should
call `process-file-shell-command' instead.


In GNU Emacs 27.0.50 (build 56, x86_64-pc-linux-gnu, GTK+ Version 3.22.24)
 of 2018-10-10 built on localhost
Repository revision: fd3a48fcd8bb212ec12b9b10a79de0ae605ee93b
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Debian GNU/Linux buster/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --enable-gtk-deprecation-warnings
 --enable-gcc-warnings=3Dwarn-only --with-modules --without-pop
 --with-mailutils --enable-checking --enable-check-lisp-object-type
 'CFLAGS=3D-O0 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY GNUTLS FREETYPE
XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
easymenu mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 94915 12135)
 (symbols 48 20210 1)
 (strings 32 28343 2068)
 (string-bytes 1 755575)
 (vectors 16 14338)
 (vector-slots 8 508528 15982)
 (floats 8 47 70)
 (intervals 56 214 0)
 (buffers 992 12))

--=20
Google Germany GmbH
Erika-Mann-Stra=C3=9Fe 33
80636 M=C3=BCnchen

Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg
Gesch=C3=A4ftsf=C3=BChrer: Paul Manicle, Halimah DeLaine Prado

If you received this communication by mistake, please don=E2=80=99t forward=
 it to
anyone else (it may contain confidential or privileged information), please
erase all copies of it, including all attachments, and please let the sender
know it went to the wrong person.  Thanks.




Acknowledgement sent to Philipp <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33006; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Oct 2018 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.